﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TNTBomb : MonoBehaviour {
    public List<Collider> inRange = new List<Collider>();
    private bool initialized = false;
    private bool fired = false;
    public ParticleSystem theBOOM;
    
    // Use this for initialization
	void Start () {
	}
	
	// Update is called once per frame
	void Update () {
		if (!initialized)
        {
            initialized = true;
            LevelMode.CURRENT.detonator.bombs.Add(this);
        }
	}

    void OnTriggerEnter(Collider collider)
    {
        inRange.Add(collider);
    }

    void OnTriggerExit(Collider collider)
    {
        inRange.Remove(collider);
    }

    public void booom()
    {
        if (fired)
        {
            return;
        }
        theBOOM.Play();
        Debug.Log("BOOM:" + inRange.Count);
        fired = true;
        foreach (Collider col in inRange)
        {
            Debug.Log("BOOM it:" + col.name);
            col.SendMessage("springJump", transform);
        }
        Renderer renderer = GetComponentInChildren<Renderer>();
        Material[] mats = renderer.materials;
        mats[0] = LevelMode.CURRENT.deactivatedMaterial;
        renderer.materials = mats;
        Destroy(gameObject,2.5f);
    }


}
