﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TNTDetonator : MonoBehaviour {

    public List<TNTBomb> bombs = new List<TNTBomb>();
    private bool fired = false;
    
    void Awake()
    {
    }

	// Use this for initialization
	void Start () {
        LevelMode.CURRENT.detonator = this;
	}
	
	// Update is called once per frame
	void Update () {
		
	}

    void OnTriggerEnter(Collider collider)
    {
        Debug.Log("TRIGGER DETONATOR:" + bombs.Count);

        if (fired)
        {
            return;
        }

        fired = true;
        foreach (TNTBomb bomb in bombs){
            Debug.Log("DO BOMB:" + bomb.name);
            bomb.booom();
        }
        Renderer renderer = GetComponentInChildren<Renderer>();
        Material[] mats = renderer.materials;
        mats[0] = LevelMode.CURRENT.deactivatedMaterial;
        renderer.materials = mats;
    }

 


}
