﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CameraScript : MonoBehaviour {

    public Transform targetObject;
    private Vector3 lastPosition;

    public float smooth = 0.2f;
    private Vector3 targetPosition;
    
     
	// Use this for initialization
	void Start () {
        lastPosition = targetObject.transform.position;
        targetPosition = transform.position;
	}
	
	// Update is called once per frame
	void Update () {
        Vector3 dif = targetObject.transform.position - lastPosition;
        targetPosition += dif;
        lastPosition = targetObject.transform.position;
        transform.position = Vector3.Lerp(transform.position, targetPosition, smooth);
    }
}
