﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class SoundManager : MonoBehaviour {

    public List<AudioClip> music = new List<AudioClip>();
    private AudioSource source;
    public int currentMusic = -1;

    public static SoundManager INSTANCE;

	// Use this for initialization
	void Start () {
        DontDestroyOnLoad(gameObject);
        INSTANCE = this;
        source = GetComponent<AudioSource>();
        source.volume = 1.0f;
	}
	


	// Update is called once per frame
	void Update () {
        if (!source.isPlaying) {
            currentMusic++;
            if (currentMusic >= music.Count) {
                currentMusic = 0;
            }
            if (currentMusic == 1)
            {
                source.volume = 0.5f;
            } else
            {
                source.volume = 1.0f;
            }
            source.clip = music[currentMusic];
            source.Play();
        }
	}

    public void startGame() {
        SceneManager.LoadScene("level_1");
    }

}
